%define version 2.1
%define release 1

Summary: Fix resolv.conf when using dhcp
Name: zz_dhcp_resolv
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermi Lab
Packager: Troy Dawson
requires: initscripts
%description
When using dhcp the seach line in /etc/resolv.conf would only have
dhcp.fnal.gov and not fnal.gov.  This fixes that problem.


%files
/sbin/dhcp.fix.dhclient-script

%post
file=/sbin/dhclient-script
fixfile=/sbin/dhcp.fix.dhclient-script
originalfile=/sbin/original.dhclient-script
if ! [ -f $originalfile ] ; then
	mv -f $file $originalfile
fi
/bin/cp -f $fixfile $file


%postun
if [ "$1" = "0" ] ; then
	file=/sbin/dhclient-script
	originalfile=/sbin/original.dhclient-script
	if [ -f $originalfile ] ; then
		mv -f $originalfile $file 
	fi
fi
